dpkg-parsechangelog(1)

BEZEICHNUNG
dpkg-parsechangelog - auswerten von Debian changelog-Dateien

ÜBERSICHT
dpkg-parsechangelog [Option …]

BESCHREIBUNG
dpkg-parsechangelog liest das Änderungsprotokoll (»changelog«) eines entpackten Debian-Quellcodebaums ein, wertet diese aus und gibt die Informationen in der Standard-Ausgabe in maschinenlesbarer Form aus.

OPTIONEN

-l Changelog-Datei
    Gibt die Änderungsprotokolldatei an, aus der Informationen gelesen werden sollen. Ein ‘-’ kann zur Angabe des Lesens von der Standardeingabe verwandt werden. Standardmäßig debian/changelog.

-F Changelog-Format
    Gibt das Format der Änderungsprotokolldatei an. Standardmäßig wird das Format aus einer speziellen Zeile in der Nähe des Endes der Änderungsprotokolldatei gelesen oder, falls dies fehlschlägt, wird das debian-Standardformat angenommen. Siehe auch CHANGELOG-FORMATE.

-L libverzeichnis
    Spezifiziere ein zusätzliches Verzeichnis, dass nach Auswerter-Skripten durchsucht werden soll. Diese Verzeichnis wird vor den Standardverzeichnissen (derzeit /usr/local/lib/dpkg/parsechangelog und /usr/lib/dpkg/parsechangelog) durchsucht.

-S, --show-field Feld
    Spezifiziert den Namen des anzuzeigenden Feldes (seit Dpkg 1.17.0). Der Feldname wird nicht angezeigt, nur sein Wert.

-?, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

  Auswerter-Optionen:
Die folgenden Optionen können verwendet werden, um die Ausgabe des Changelog-Auswerters zu beinflussen, z.B. den Bereich der Einträge oder das Format der Ausgabe. Sie müssen vom in Frage kommenden Auswerter-Skript unterstützt werden. Lesen Sie auch BEMERKUNGEN.

--file Datei
    Setzt den auszuwertenden Changelog-Dateinamen. Standardmäßig ‘-’ (Standardeingabe).

-l, --label Datei
    Setzt die bei Fehlermeldungen zu verwendenden Changelog-Datei, statt den Namen von der Option --file oder den Vorgabewert zu verwenden.

--format Ausgabeformat
    Setze das Ausgabeformat. Derzeit werden die Werte dpkg und rfc822 unterstützt. dpkg ist das klassische Ausgabeformat (es existiert länger als diese Option), das voreingestellt ist. Es besteht aus einem Absatz im Debian-Steuerformat (lesen Sie deb-control(5)). Falls mehr als ein Eintrag angefordert wird, dann werden die meisten Felder aus dem neusten Eintrag verwendet, falls dies nicht anders angegeben wird:

    Source: Paketname

    Version: Version

    Distribution: Ziel-Distribution

    Urgency: Dringlichkeit
        Die höchste Dringlichkeit aller enthaltenen Einträge wird verwandt, gefolgt von den zusammengefügten (durch Leerzeichen getrennten) Kommentaren von allen angeforderten Versionen.

    Maintainer: Autor

    Date: Datum

    Closes: Fehlernummer
        Die Felder »Closes« aller enthaltenen Einträge werden zusammengefasst.

    Changes: Changelog-Einträge
        Der Text aller Changelog-Einträge wird aneinandergehängt. Um aus diesem Feld ein gültiges mehrzeiliges Feld im Debian Steuer-Format zu bekomen, werden leere Zeilen mit einem einzelnen Satzpunkt ersetzt und alle Zeilen durch ein Leerzeichen eingerückt. Der genaue Inhalt hängt vom Changelog-Format ab.

    Die Felder Version, Distribution, Urgency, Maintainer und Changes sind verpflichtend.

    Es können zusätzliche benutzerdefinierte Felder vorhanden sein.

    Das rfc822-Format verwendet die gleichen Felder, gibt aber einzelne Absätze für jeden Changelog-Eintrag aus, so dass alle Metadaten für jeden Eintrag erhalten bleiben.

--all
    alle Änderungen aufnehmen. Hinweis: Andere Optionen haben keine Wirkung, wenn diese verwandt wird.

-s, --since Version
-v Version
    füge alle Änderungen neuer als aus Version hinzu.

-u, --until Version
    füge alle Änderungen älter als aus Version hinzu.

-f, --from Version
    füge alle Änderungen aus oder neuer als aus Version hinzu.

-t, --to Version
    füge alle Änderungen aus oder älter als aus Version hinzu.

-c, --count Anzahl
-n Anzahl
    füge Anzahl Einträge vom Kopf (oder vom Fuß, falls Anzahl negativ ist) hinzu.

-o, --offset Zahl
    ändere den Startpunkt für --count, gezählt vom Kopf (oder Fuß, falls Zahl negativ ist).

CHANGELOG-FORMATE
Es ist möglich, ein anderes als das Standardformat zu verwenden, indem ein Auswerter für dieses alternative Format bereitgestellt wird. Damit dpkg-parsechangelog den neuen Auswerter ausführen kann, muss eine Zeile innerhalb der letzten 40 Zeilen der Changelog-Datei enthalten sein, die auf den folgenden regulären Perl-Ausdruck passt: “\schangelog-format:\s+([0-9a-z]+)\W”. Der Anteil in Klammern sollte der Name des Formats sein, beispielsweise:
       @@@ changelog-format: Anderesformat @@@ Changelog-Formatnamen sind nichtleere alphanumerische Zeichenketten. Falls eine solche Zeile existiert, wird dpkg-parsechangelog nach dem Auswerter als /usr/lib/dpkg/parsechangelog/Anderesformat oder /usr/local/lib/dpkg/parsechangelog/Anderesformat suchen. Es ist ein Fehler, wenn dieser nicht vorhanden oder kein ausführbares Programm ist. Das Standard-Änderungsprotokollformat ist debian, hierfür wird standardmäßig ein Auswerter bereitgestellt. Der Auswerter wird mit dem Änderungsprotokoll auf der Standardeingabe am Anfang der Datei aufgerufen. Er sollte die Datei lesen (er darf dafür suchen, falls gewünscht), um die benötigten Informationen zu ermitteln und die ausgewerteten Informationen auf der Standardausgabe in dem durch die Option --format angegebenen Format auszugeben. Er sollte alle Auswerter-Optionen akzeptieren. Falls das geparste Changelog-Format immer oder fast immer eine Leerzeile zwischen einzelnen Änderungsnotizen lässt, sollten diese Leerzeilen herausgefiltert werden, so dass die entstehende Ausgabe kompakt wird. Falls das Changelog-Format kein Datum oder keine Paketnamensinformationen enthält, sollte diese Information in der Ausgabe unterbleiben. Der Auswerter soll nicht versuchen, diese Daten künstlich zu ermitteln oder sie in anderen Quellen zu finden. Falls das Änderungsprotokoll nicht das erwartete Format hat, sollte sich der Auswerter mit einem von Null verschiedenen Exit-Status beenden, statt zu versuchen, sich irgendwie durchzuwurschteln und möglicherweise eine falsche Ausgabe zu erzeugen. Ein Changelog-Auswerter darf nicht mit dem Benutzer interagieren.

BEMERKUNGEN
Alle Auswerter-Optionen außer -v werden seit Dpkg 1.14.16 unterstützt. Auswerter von Dritten für Changelog-Formate außer debian könnten nicht alle Optionen unterstützen.

Das Auswerten kurzer Optionen mit nicht gebündelten Werten ist nur seit Dpkg-Version 1.18.0 verfügbar.

DATEIEN

debian/changelog
    Die changelog-Datei wird verwendet, um versionsabhängige Informationen über das Quellpaket, wie beispielsweise die Dringlichkeit (»urgency«) und die Distribution des Uploads, die Änderungen seit einer bestimmten Veröffentlichung und die Quellversionsnummer selbst zu erhalten.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2016 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
deb-changelog(5).